PreparedStatementTest.TestMultiThread (jTDS API)
Keywords: net.sourceforge.jtds.test.PreparedStatementTest.TestMultiThread class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class PreparedStatementTest.TestMultiThread

    java.lang.Object
      java.lang.Thread
          net.sourceforge.jtds.test.PreparedStatementTest.TestMultiThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  PreparedStatementTest

static class PreparedStatementTest.TestMultiThread
extends java.lang.Thread

Inner class used by `PreparedStatementTest.testMultiThread()` to test concurrency.

Field Summary
`(package private) static java.sql.Connection` | `con`
`(package private) static java.lang.Exception` | `error`
`(package private) static int` | `live`
`(package private) static int` | `LOOP_MAX`
`(package private) static int` | `ROWS_MAX`
`(package private) static int` | `THREAD_MAX`
`(package private) int` | `threadId`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`(package private)` | `PreparedStatementTest.TestMultiThread(int n)`

Method Summary
`void` | `run()`
`(package private) static void` | `startThreads(java.sql.Connection con)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### con

    static java.sql.Connection con

### THREAD_MAX

    static final int THREAD_MAX

See Also:
  Constant Field Values

### LOOP_MAX

    static final int LOOP_MAX

See Also:
  Constant Field Values

### ROWS_MAX

    static final int ROWS_MAX

See Also:
  Constant Field Values

### live

    static int live

### error

    static java.lang.Exception error

### threadId

    int threadId

Constructor Detail

### PreparedStatementTest.TestMultiThread

    PreparedStatementTest.TestMultiThread(int n)

Method Detail

### run

    public void run()

### startThreads

    static void startThreads(java.sql.Connection con)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009